﻿using Scrabble.Model.Properties;

namespace Scrabble.Model.Events
{
    internal class FirstToEndBonusEvent : GameEvent
    {
        public FirstToEndBonusEvent(IPlayer player, int score) : base(player, score, null)
        {
            Description = Resources.Description_EndBonus;
        }

        protected override string TypeOfAction
        {
            get { return ActionType.EndBonus; }
        }
    }
}
