﻿using Scrabble.Model.Properties;

namespace Scrabble.Model.Events
{
    internal class SkippedTurnEvent : GameEvent
    {
        public SkippedTurnEvent(IPlayer player) : base(player, 0, null)
        {
            Description = Resources.Description_Pass;
        }

        protected override string TypeOfAction
        {
            get { return ActionType.Pass; }
        }
    }
}