﻿using System.Windows;
using Scrabble.Model;

namespace Scrabble.Controls
{
    public delegate void SquareClickedEventHandler(object sender, SquareClickedEventArgs args);

    public class SquareClickedEventArgs : RoutedEventArgs
    {
        public SquareClickedEventArgs(RoutedEvent routedEvent, BoardLocation location) : base(routedEvent)
        {
            Location = location;
        }

        public BoardLocation Location 
        {
            get; private set;
        }
    }
}