﻿using System.Collections.Generic;

namespace Scrabble.Model
{
    public interface ILexicon
    {
        IEnumerable<string> AllWords { get; }

        IEnumerable<string> AllWordsComposedOf(string letters);

        IEnumerable<string> AllWordsStartingWith(string prefix);

        bool Contains(string word);
    }
}