﻿Feature: Game Rules
	In order to play according to the rules of the game
	As a scrabble player
	I want to be sure that all rules are enforced correctly

Background:
	Given the following players are staring a new game:
	| Player |
	| John   |
	| Peter  |
	| Jack   |

Scenario Outline: Playing the first word
	When John plays OAASI to <Start position>
	Then row 8 of the board should be <Row> 
	And John should have a score of <Score>
	And the active player should be Peter

	Examples:
	| Start position | Row               | Score |
	| 8D             | '...OAASI.......' | 12    |
	| 8E             | '....OAASI......' | 10    |
	| 8H             | '.......OAASI...' | 12    |
	| H4             | '.......I.......' | 12    |
	| H5             | '.......S.......' | 10    |

