﻿using System;

namespace Scrabble.Model
{
    public interface IGameEvent
    {
        IPlayer Player { get; }

        string Description { get; }

        TimeSpan DurationOfPlay { get; }

        int Score { get; }

        Tile[] MovedTiles { get; }

        string ToNotation();

        RecordOfPlay ToRecordOfPlay();
    }

    public interface IPlayWordEvent
    {
        PlayVector PlayVector { get; }
    }
}